## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionAnd

### Workflow::ezcWorkflowConditionAnd

### Class ezcWorkflowConditionAnd

Boolean AND.

An object of the ezcWorkflowConditionAnd class represents a boolean AND expression. It can hold an arbitrary number of ezcWorkflowCondition objects.

1. <?php
2. $and=new ezcWorkflowConditionAnd (array($condition,...) );
3. ?>

Source for this file: /Workflow/src/conditions/and.php

    ezcWorkflowConditionBooleanSet
       |
       --ezcWorkflowConditionAnd

Version: | //autogen//

### Member Variables

protected string | `$concatenation = '&&'` Textual representation of the concatenation.

### Inherited Member Variables

From ezcWorkflowConditionBooleanSet
protected | `ezcWorkflowConditionBooleanSet::$conditions`

### Inherited Methods

From ezcWorkflowConditionBooleanSet
public ezcWorkflowConditionBooleanSet | `ezcWorkflowConditionBooleanSet::__construct()` Constructs a new boolean set with the conditions $conditions.

Documentation generated by phpDocumentor 1.4.3